Skip to main content
PATCH
/
v2
/
admin
/
extensions
/
fax
/
{id}
Edit Fax Extension
curl --request PATCH \
  --url https://api.voxo.co/v2/admin/extensions/fax/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "emergencyLocationId": 123,
  "emergencyLocation": "<string>",
  "branchId": 123,
  "callerIdNumber": "<string>",
  "outboundDialPrefix": "<string>",
  "deviceId": 123
}
'
import requests

url = "https://api.voxo.co/v2/admin/extensions/fax/{id}"

payload = {
"name": "<string>",
"emergencyLocationId": 123,
"emergencyLocation": "<string>",
"branchId": 123,
"callerIdNumber": "<string>",
"outboundDialPrefix": "<string>",
"deviceId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
emergencyLocationId: 123,
emergencyLocation: '<string>',
branchId: 123,
callerIdNumber: '<string>',
outboundDialPrefix: '<string>',
deviceId: 123
})
};

fetch('https://api.voxo.co/v2/admin/extensions/fax/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "tenant": {
    "id": 123,
    "name": "<string>"
  },
  "name": "<string>",
  "number": "<string>",
  "email": "<string>",
  "peerName": "<string>",
  "callerIdNumber": "<string>",
  "recording": "<string>",
  "callLimit": 123,
  "dialTimeout": 123,
  "routingProfileId": 123,
  "emergencyLocationId": 123,
  "outboundDialPrefix": "<string>",
  "includeInPhonebook": "<string>",
  "enableForwarding": "<string>",
  "emergencyLocationComment": "<string>",
  "branch": {
    "id": 123,
    "name": "<string>"
  },
  "emergencyLocation": {
    "id": 123,
    "address": "<unknown>"
  },
  "devices": []
}
{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}
{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Extension ID

Pattern: ^[1-9]\d*$

Body

application/json
name
string
Minimum string length: 3
emergencyLocationId
number
emergencyLocation
string | null
branchId
number
callerIdNumber
string | null
Pattern: ^[1-9]\d{9}$
outboundDialPrefix
Pattern: ^[1-9][0-9]{6}$
deviceId
number

Response

Updated fax extension

id
number
required

Extension ID

tenant
object
required

Owning tenant

name
string | null
required

Extension name

number
string | null
required

Extension number

email
string | null
required

Extension email

peerName
string | null
required

SIP peer name

callerIdNumber
string | null
required

Outbound caller ID number

recording
string | null
required

Call recording mode

callLimit
number | null
required

Concurrent call limit

dialTimeout
number | null
required

Inbound ring timeout (seconds)

routingProfileId
number | null
required

Routing profile ID

emergencyLocationId
number | null
required

Emergency location ID

outboundDialPrefix
string | null
required

Outbound dial prefix

includeInPhonebook
string | null
required

Phonebook inclusion

enableForwarding
string | null
required

Forwarding state

emergencyLocationComment
string | null
required

Free-text emergency location comment

branch
object
required

Branch

emergencyLocation
object | null
required

Emergency location

devices
object[]
required

Assigned devices